function init()
	gun.name = "Beam_PD"
	gun.fireDelay = 700
	gun.shotrange = 350
	gun.shotdamage = 20
	gun.shotknockback = 0
	gun.shotspeed = 8000
	gun.initBeam(0)
	
	gun.burstDelay = 0
	gun.burstNum = 5

	
	return 0
end


function update()
	return 0
end


function fire()
	--stage.makeBeam(gun.beam, gun.owner, gun.firex, gun.firey, gun.firetarx, gun.firetary)
	stage.makeBeam(gun.beam, gun.owner, gun.owner.x, gun.owner.y, gun.firetarx, gun.firetary)
	
	--gun.GFP("made beam!")
	--playSFX(getSound("gun_pew1.wav"),owner.x,owner.y)

	return 0
end

function shot_update()

	return 0
end